TestContextFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.jndi.TestContextFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.jndi
Class TestContextFactory

    java.lang.Object
      org.mule.tck.jndi.InMemoryContextFactory
          org.mule.tck.jndi.TestContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class TestContextFactory

extends InMemoryContextFactory

Creates an in-memory context and populates it with test data.

Constructor Summary
`TestContextFactory()`

Method Summary
`Context` | `getInitialContext()`
`Context` | `getInitialContext(Hashtable environment)`
`protected void` | `populateTestData(Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestContextFactory

    public TestContextFactory()

Method Detail

### getInitialContext

    public Context getInitialContext()
                              throws NamingException

  Overrides:
    `getInitialContext` in class `InMemoryContextFactory`
  Throws:
    `NamingException`

### getInitialContext

    public Context getInitialContext(Hashtable environment)
                              throws NamingException

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Overrides:
    `getInitialContext` in class `InMemoryContextFactory`
  Throws:
    `NamingException`

### populateTestData

    protected void populateTestData(Context context)
                             throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.